## python-apt 0.7.13.2jolicloud5

=== debian/changelog ===
python-apt (0.7.13.2jolicloud5) robby; urgency=low

  * Backporting for the new packagekit based jolicloud-daemon

 -- Andrew Stormont <andy@jolicloud.org>  Tue, 04 May 2010 09:38:30 +0200

python-apt (0.7.13.2ubuntu4) karmic; urgency=low

  * No change rebuild to fix misbuilt binaries on armel.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 21 Oct 2009 14:52:36 +0200

python-apt (0.7.13.2ubuntu3) karmic; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Sep 2009 22:17:35 +0200

python-apt (0.7.13.2ubuntu2) karmic; urgency=low

  [ Michael Vogt ]
  * apt/cache.py:
    - re-work the logic in commit() to fail if installArchives() returns
      a unexpected result
  * apt/progress/__init__.py:
    - catch exceptions in pm.DoInstall()

  [ Sebastian Heinlein ]
  * apt/package.py:
    - Export if a package is an essential one (Closes: #543428)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Sep 2009 10:32:19 +0200

python-apt (0.7.13.2ubuntu1) karmic; urgency=low

  * merged from the debian-sid bzr branch

  [ Michael Vogt ]
  * apt/cache.py:
    - add actiongroup() method (backport from 0.7.92)

  [ Julian Andres Klode ]
  * python/depcache.cc:
    - Make ActionGroups context managers so apt.Cache.actiongroup() has
      the same behavior as in 0.7.92

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 24 Aug 2009 16:53:16 +0200

python-apt (0.7.13.2) unstable; urgency=low

  * apt/cache.py:
   - Convert argument to str in __getitem__() (Closes: #542965).

 -- Julian Andres Klode <jak@debian.org>  Sat, 22 Aug 2009 22:47:30 +0200

python-apt (0.7.13.1) unstable; urgency=low

  * apt/package.py:
   - Fix Version.get_dependencies() to not ignore the arguments.

 -- Julian Andres Klode <jak@debian.org>  Fri, 21 Aug 2009 16:59:08 +0200

python-apt (0.7.13.0) unstable; urgency=low

  [ Michael Vogt ]
  * apt/package.py:
    - add "recommends" property
  * apt/cache.py, python/cache.cc:
    - add optional pulseInterval option to "update()"

  [ Sebastian Heinlein ]
  * apt/cache.py:
   - Fix the (inst|keep|broken|del)_count attributes (Closes: #542773).

  [ Julian Andres Klode ]
  * apt/package.py:
   - Introduce Version.get_dependencies() which takes one or more types
     of dependencies and returns a list of Dependency objects.
   - Do not mark the package as manually installed on upgrade (Closes: #542699)
   - Add Package.is_now_broken and Package.is_inst_broken.
  * apt/cache.py:
   - Introduce ProblemResolver class (Closes: #542705)
  * python/pkgsrcrecords.cc:
   - Fix spelling error (begining should be beginning).
  * po:
   - Update template and the translations de.po, fr.po (Closes: #467120),
     ja.po (Closes: #454293).
  * debian/control:
   - Update Standards-Version to 3.8.3.
  * debian/rules:
   - Build with DH_PYCENTRAL=include-links instead of nomove.

 -- Julian Andres Klode <jak@debian.org>  Fri, 21 Aug 2009 16:22:34 +0200

python-apt (0.7.12.1ubuntu2) karmic; urgency=low

  * apt/package.py:
    - fix bug in BaseDependency initialization (LP: #416362)
  * debian/control:
    - add break for packagekit-backend-apt (<= 0.4.8-0ubuntu4)
      packagekit usees some internal API that changed

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 20 Aug 2009 14:23:40 +0200

python-apt (0.7.12.1ubuntu1) karmic; urgency=low

  [ Michael Vogt ]
  * apt/package.py:
    - add "recommends" property
  * debian/control:
    - change build-dep for libapt-pkg-dev to >= 0.7.21
  * merged with debian/unstable

  [ Loïc Minier ]
  * Revert addition of gcc and gcc_s to python-apt libs as the toolchain has
    been fixed; LP: #375334.

  [ Julian Andres Klode ]
  * apt/package.py:
   - Introduce Version.get_dependencies() which takes one or more types
     of dependencies and returns a list of Dependency objects.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 19 Aug 2009 11:33:59 +0200

python-apt (0.7.12.1) unstable; urgency=low

  * apt/debfile.py:
    - Fix missing space in message (Closes: #539704)
  * apt/package.py:
    - Add missing argument to Version.__le__() and Version.__ge__()
  * debian/control:
    - Do not build-depend on python-gtk2 and python-vte on kfreebsd-*.
  * setup.py:
    - Always build documentation, even if python-gtk2 is not installed.

 -- Julian Andres Klode <jak@debian.org>  Mon, 03 Aug 2009 15:17:43 +0200

python-apt (0.7.12.0) unstable; urgency=low

  [ Julian Andres Klode ]
  * python/cache.cc:
    - Support Breaks, Enhances dependency types (Closes: #416247)
  * debian/control:
    - Only recommend libjs-jquery (Closes: #527543)
    - Build-depend on libapt-pkg-dev (>= 0.7.22~)
    - Update Standards-Version to 3.8.2
  * apt/cache.py:
    - Correctly handle rootdir on second and later invocations of
      open(), by calling InitSystem again. (LP: #320665).
    - Provide broken_count, delete_count, install_count, keep_count
      properties (Closes: #532338)
    - Only create Package objects when they are requested, do not keep them in
      a dict. Saves 10MB for 25,000 packages on my machine.
  * apt/package.py:
    - Allow to set the candidate of a package (Closes: #523997)
      + Support assignments to the 'candidate' property of Package objects.
      + Initial patch by Sebastian Heinlein
    - Make comparisons of Version object more robust.
    - Return VersionList objects in Package.versions, which are sequences
      and also provide features of mappings. (partial API BREAK)
      + Allows to get a specific version (Closes: #523998)
  * apt/progress/__init__.py:
    - Do not break out of InstallProgress.waitChild()'s loop just because it
      is hitting EINTR, but only on child exit or on ECHILD.
  * Use debhelper 7 instead of CDBS

  [ Stefano Zacchiroli ]
  * debian/python-apt.doc-base: register the documentation with the
    doc-base system (Closes: #525134)

  [ Sebastian Heinlein ]
  * apt/progress.py: Extract the package name from the status message
    (Closes: #532660)


