## python-apt 0.7.13.2ubuntu4moblin1

=== debian/changelog ===
python-apt (0.7.13.2ubuntu4moblin1) karmic; urgency=low

  * data/templates/Ubuntu.info.in: modified for Samos build. LP: #493632 

 -- Bill Filler <bill.filler@canonical.com>  Mon, 07 Dec 2009 15:48:48 -0500
