=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 XS-Python-Version: all
 Build-Depends: apt-utils,
                debhelper (>= 7.3.5),
-               libapt-pkg-dev (>= 0.7.20),
+               libapt-pkg-dev (>= 0.7.23),
                python-all-dbg,
                python-all-dev,
 	       python2.4-dev,
