## python-apt 0.7.13.2ubuntu4trisquel1

=== debian/changelog ===
python-apt (0.7.13.2ubuntu4trisquel1) awen; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 17 Feb 2010 16:31:24 +0000
