## python-apt 0.7.94.2ubuntu6

=== debian/changelog ===
python-apt (0.7.94.2ubuntu6) lucid; urgency=low

  Cherry pick fix from the debian branch:
  
  [ Julian Andres Klode ]
  * python/cache.cc:
    - Fix PackageFile.not_automatic to use NotAutomatic instead of NotSource.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Apr 2010 17:45:11 +0200

python-apt (0.7.94.2ubuntu5) lucid; urgency=low

  [ Julian Andres Klode ]
  * apt/package.py:
    - Decode using utf-8 in installed_files (LP: #407953).
    - Fix fetch_source() to work when source name = binary name (LP: #552400).
  * python/cache.cc:
    - Check that 2nd argument to Cache.update() really is a SourceList object.
  * python/generic.cc:
    - Map ArchiveURI property to archive_uri
  * utils/migrate-0.8.py:
    - Open files in universal newline support and pass filename to ast.parse.
    - Add has_key to the list of deprecated functions.
    - Don't abort if parsing failed.
    - do not require files to end in .py if they are passed on the command
      line or if they contain python somewhere in the shebang line.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 31 Mar 2010 22:11:38 +0200

python-apt (0.7.94.2ubuntu4) lucid; urgency=low

  * If PYTHON_APT_DEPRECATION_WARNINGS is unset, also disable the
    deprecation warnings in apt_pkg directly; and don't just
    disable any deprecation warning in apt/__init__.py (LP: #548623)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 29 Mar 2010 13:18:20 +0200

python-apt (0.7.94.2ubuntu3) lucid; urgency=low

  * python/indexfile.cc:
    - add missing 0.7 compat indexfile.ArchiveURI method 
      (LP: #545848)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Mar 2010 10:44:31 +0100

python-apt (0.7.94.2ubuntu2) lucid; urgency=low

  * debian/control:
    - build against "XS-Python-Versions: all" to ensure we only
      build/test against supported python versions (fixes FTBFS)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Mar 2010 21:24:46 +0100

python-apt (0.7.94.2ubuntu1) lucid; urgency=low

  Updated to the 0.7.9x series (FFe LP: #531518), this
  brings us python3 support and a more PEP08 conform
  API
  
  [ Julian Andres Klode ]
  * python/generic.cc:
    - Fix a memory leak when using old attribute names.
  * debian/control:
    - Change priority to standard, keep -doc and -dev on optional.

  [ Michael Vogt ]
  * apt/cache.py:
    - make cache open silent by default (use apt.progress.base.OpProgress)
  * tests/data/aptsources_ports/sources.list:
    - fix ports test-data
  * debian/control
    - build against XS-Python-Versions: 2.6, 3.1
  * tests/test_apt_cache.py:
    - add simple test for basic cache/dependency iteration
  * apt/__init__.py:
    - only show deprecation warnings if PYTHON_APT_DEPRECATION_WARNINGS
      is set in the environment. While we do want to have the new API its
      not feasible to port all apps in the lucid timeframe. Once lucid
      is released we turn the warnings on by default again
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Mar 2010 20:01:22 +0100

python-apt (0.7.94.2) unstable; urgency=low

  * Revert 0.7.93.3 and just set APT::Architecture to i386 for
    test_aptsources; fixes FTBFS on powerpc.

 -- Julian Andres Klode <jak@debian.org>  Fri, 12 Mar 2010 19:22:57 +0100

python-apt (0.7.94.1) unstable; urgency=low

  * Pass --exclude=migrate-0.8.py to dh_pycentral; in order to not depend
    on python2.6; but recommend python2.6.
  * Use dh_link instead of ln for python-apt-doc (Closes: #573523).
  * Pass --link-doc=python-apt to dh_installdocs.
  * Install examples to python-apt-doc instead of python-apt.
  * tests/test_all.py: Write information header to stderr, not stdout.
  * Build documentation only when needed (when building python-apt-doc).

 -- Julian Andres Klode <jak@debian.org>  Fri, 12 Mar 2010 14:36:48 +0100

python-apt (0.7.94) unstable; urgency=low

  * Move documentation into python-apt-doc (Closes: #572617)
  * Build documentation only once on the default Python version.
  * python/acquire-item.cc:
    - Add AcquireItem.partialsize member.
  * python/apt_pkgmodule.cc:
    - Treat '>>' and '>', '<<' and '<' as identical in check_dep (LP: #535667).
  * python/generic.cc:
    - Map UntranslatedDepType to dep_type_untranslated.
  * python/tag.cc:
    - Hack the TagFile iterator to not use shared storage (Closes: #572596):
      Scan once, duplicate the section data, and scan again.
  * apt/package.py:
    - Create a string class BaseDependency.__dstr which makes '>' equal to
      '>>' and '<' equal to '<<' (compatibility).
    - Use the binary package version in Version.fetch_source() if the
      source version is not specified (i.e. in the normal case).
    - Always return unicode strings in Package.get_changelog (Closes: #572998).
  * apt/progress/text.py:
    - Drop InstallProgress, it's useless to keep this alias around.
  * apt/progress/old.py:
    - Let the new method call the old one; e.g. status_update() now calls
      self.statusUpdate(). This improves compatibility for sub classes.
  * Merge with Ubuntu:
    - util/get_ubuntu_mirrors_from_lp.py:
      + rewritten to use +archivemirrors-rss and feedburner
    - pre-build.sh: update ubuntu mirrors on bzr-buildpackage (and also do this
      for Debian mirrors)
    - add break for packagekit-backend-apt (<= 0.4.8-0ubuntu4)
  * tests:
    - test_deps: Add tests for apt_pkg.CheckDep, apt_pkg.check_dep,
      apt_pkg.parse_depends and apt_pkg.parse_src_depends.
  * tests/data/aptsources/sources.list.testDistribution:
    - change one mirror which is not on the mirror list anymore.
  * utils/get_debian_mirrors.py:
    - Parse Mirrors.masterlist instead of the HTML web page.
  * utils/get_ubuntu_mirrors_from_lp.py:
    - Sort the mirror list of each country.

 -- Julian Andres Klode <jak@debian.org>  Wed, 10 Mar 2010 16:10:27 +0100

python-apt (0.7.93.3) unstable; urgency=low

  * data/templates/Ubuntu.info.in:
    - Use generic MirrorsFile key instead of per-architecture ones in

