## python-apt 0.7.94.2ubuntu6.1common0omsk1

=== debian/changelog ===
python-apt (0.7.94.2ubuntu6.1common0omsk1) lucid; urgency=low

  * data/templates/Ubuntu.info.in: Update repository info to match
    omsk URLs

 -- Michael Terry <michael.terry@canonical.com>  Wed, 23 Jun 2010 12:05:39 -0400

python-apt (0.7.94.2ubuntu6.1) lucid-proposed; urgency=low

  [ Sebastian Heinlein ]
  * apt/package.py:
    - Fix the changelog downloading if there are several source package
      versions available which provide the binary (LP: #377535).
      See http://bugs.debian.org/581831 for further details

  [ Michael Vogt ]
  * debian/control:
    - update Vcs-Bzr location

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 17 May 2010 15:37:44 +0200
