=== debian/rules ===
#!/usr/bin/make -f
# Should be include-links, but that somehow fails.
export DH_PYCENTRAL=nomove
export DEBVER=$(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
export CFLAGS=-Wno-write-strings -DCOMPAT_0_7

%:
	dh --with python-central $@

override_dh_auto_build:
	dh_auto_build

override_dh_installdocs:
	set -e; if [ -z $(filter -a,$(DH_INTERNAL_OPTIONS)) ]; then \
		python setup.py build_sphinx; \
		dh_installdirs -ppython-apt-doc usr/share/doc/python-apt; \
	fi
	dh_installdirs -ppython-apt-dev usr/share/doc/python-apt
	dh_installdocs --link-doc=python-apt

override_dh_strip:
	dh_strip --dbg-package=python-apt-dbg

override_dh_compress:
	dh_compress -X.js -X_static/* -X _sources/* -X_sources/*/* -X.inv

override_dh_auto_test:
	set -e; for python in $(shell pyversions -r); do \
		$$python tests/test_all.py -q; \
	done;

override_dh_pycentral:
	dh_pycentral --exclude=migrate-0.8.py
