## python-apt 0.7.94.2ubuntu6.2trisquel1

=== debian/changelog ===
python-apt (0.7.94.2ubuntu6.2trisquel1) taranis; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 17 Aug 2010 21:34:44 +0000
