## python-apt 0.7.94.2ubuntu6.4

=== debian/changelog ===
python-apt (0.7.94.2ubuntu6.4) lucid-proposed; urgency=low

  * add missing bits for the xz compression support, thanks
    to Colin Watson for the fix! (LP: #805389)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 13 Jul 2011 10:57:21 +0200

python-apt (0.7.94.2ubuntu6.3) lucid-proposed; urgency=low

  * backport xz compression support the debian-sid bzr branch
    (LP: #805389)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 07 Jul 2011 10:59:49 +0200
