## python-apt 0.7.94.2ubuntu6.4+4.1trisquel4

=== debian/changelog ===
python-apt (0.7.94.2ubuntu6.4+4.1trisquel4) taranis; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 22 Jul 2011 00:06:20 +0000
