## python-apt 0.7.96.1ubuntu11

=== debian/changelog ===
python-apt (0.7.96.1ubuntu11) maverick; urgency=low

  * Fix return type of DebSize() and UsrSize(), its long long,
    not float. Thanks to Sebastian Heinlein, LP: #642936

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Sep 2010 10:43:47 +0200

python-apt (0.7.96.1ubuntu10) maverick; urgency=low

  * data/templates/Ubuntu.info.in:
    - add extras.ubuntu.com and archvie.canonical.com to the
      templates
  * aptsources/distinfo.py, aptsources/distro.py:
    - support non-official templates (like extras.ubuntu.com)
  * python/tag.cc:
    - accept "byte" type as well in TacSecNew (for py3)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Sep 2010 11:28:24 +0200

python-apt (0.7.96.1ubuntu9) maverick; urgency=low

  [ Kiwinote ]
  * apt/debfile:
    - don't fail if we conflict with the pkgs we are reinstalling

  [ Michael Vogt ]
  * add "provides" property to the apt.Version objects
  * apt/debfile.py:
    - fix error when reading binary content and add regresion test
  * merged patch from Samuel Lidén Borell to fix crash if there utf8 
    in the control file (LP: #624290) and add test
  * apt/cache.py:
    - add "sources_list" parameter to cache.update() to force updating
      a single sources.list entry only
  * debian/control:
    - add missing build-depends on python-debian (needed to run the
      tests for apt.debfile.DebPackage()

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Sep 2010 13:47:03 +0200

python-apt (0.7.96.1ubuntu8) maverick; urgency=low

  * debian/control:
    - add missing build-depends on python-debian (needed to run the
      tests for apt.debfile.DebPackage()

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 03 Sep 2010 18:33:50 +0200

python-apt (0.7.96.1ubuntu7) maverick; urgency=low

  * cherry pick debfile fix from lp:~mvo/python-apt/mvo (402..405):
    * apt/debfile.py:
      - fix error when reading binary content and add regresion test

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Sep 2010 10:53:46 +0200

python-apt (0.7.96.1ubuntu6) maverick; urgency=low

  * apt/debfile.py:
    - add missing init for _installed_conflicts (LP: #618597)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Aug 2010 11:18:13 +0200

python-apt (0.7.96.1ubuntu5) maverick; urgency=low

  * python/acquire.cc:
    - return long long when calling TotalNeeded(), FetchNeeded() and 
      PartialPresent() from pkgAcquire(). This follows the change
      in libapt.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Aug 2010 11:08:14 +0200

python-apt (0.7.96.1ubuntu4) maverick; urgency=low

  * apt/debfile.py:
    - fix crash in DscFile handling and add regression test

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 05 Aug 2010 23:36:53 +0200

python-apt (0.7.96.1ubuntu3) maverick; urgency=low

  * rebuild against lastest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 29 Jul 2010 12:23:27 +0200

python-apt (0.7.96.1ubuntu2) maverick; urgency=low

  [ Michael Vogt ]
  * python/configuration.cc:
    - add binding for the "dump()" method to configruation objects

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 29 Jul 2010 09:31:10 +0200

python-apt (0.7.96.1ubuntu1) maverick; urgency=low

  [ Julian Andres Klode ]
  * python/tag.cc:
    - Support gzip compression for control files (Closes: #383617),
      requires APT (>> 0.7.26~exp10) to work.
  * doc/conf.py:
    - Correctly handle non-digit characters in version (ignore everything
      after them).
  * python/apt_pkgmodule.cc:
    - Bind pkgAcquire::Item::StatTransientNetworkError (Closes: #589010)

  [ Michael Vogt ]
  * merge from debian-sid bzr branch, remaining changes:
    - do not build for python2.5
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Jul 2010 10:54:25 +0200

python-apt (0.7.96.1) unstable; urgency=low

  * tests/test_debfile.py:
   - properly setup fixture data to make debfile test pass 
     (closes: #588796)

 -- Michael Vogt <mvo@debian.org>  Mon, 12 Jul 2010 14:14:51 +0200

python-apt (0.7.96) unstable; urgency=low

  [ Michael Vogt ]
  * data/templates/gNewSense.info.in,
    data/templates/gNewSense.mirrors:
    - add gNewSense template and mirrors, thanks to Karl Goetz
  * data/templates/Ubuntu.info.in, 
    data/templates/Ubuntu.mirrors:
    - updated for Ubuntu maverick
  * doc/source/conf.py:
    - do not fail on non-digits in the version number
  * utils/get_debian_mirrors.py:
    - ignore mirrors without a county
  * apt/cache.py:
    - add new "dpkg_journal_dirty" property that can be used to
      detect a interrupted dpkg (the famous 
     "E: dpkg was interrupted, you must manually run 'dpkg --configure -a'")
  * merged lp:~kiwinote/python-apt/merge-gdebi-changes, this port the
    DebPackage class fixes from gdebi into python-apt so that gdebi can
    use the class from python-apt directly
  * apt/debfile.py:
    - check if the debfiles provides are in conflict with the systems
      packages
    - fix py3 compatibility
  * tests/test_debs/*.deb, tests/test_debfile.py:
    - add automatic test based on the test debs from gdebi
  * python/progress.cc:
    - deal with missing return value from the acquire progress in pulse()

  [ Martin Pitt ]
  * tests/test_apt_cache.py: Test accessing the record of all packages during
    iteration. This both ensures that it's well-formatted and structured, and
    also that accessing it does not take an inordinate amount of time. This
    exposes a severe performance problem when using gzip compressed package
    indexes.
  * apt/cache.py: When iterating over the cache, do so sorted by package name.
    With this we read the the package lists linearly if we need to access the
    package records, instead of having to do thousands of random seeks; the
    latter is disastrous if we use compressed package indexes, and slower than
    necessary for uncompressed indexes.

  [ Julian Andres Klode ]
  * Re-enable Python 3 support for latest python-default changes (hack).


