## python-apt 0.7.96.1ubuntu11.1trisquel5

=== debian/changelog ===
python-apt (0.7.96.1ubuntu11.1trisquel5) slaine; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 01 Feb 2011 11:11:08 +0000

python-apt (0.7.96.1ubuntu11.1) maverick-proposed; urgency=low

  * python/acquire-item.cc:
    - fix format string for FileSize and PartialSize to be
      long long instead of float
    - use strsprint() instead of PyString_FromFormat() because the 
      later does not support %llu until python 2.7. This fixes the
      segfault LP: #655154

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Jan 2011 18:54:32 +0100
