=== debian/control ===
--- 
+++ 
@@ -8,19 +8,20 @@
 XS-Python-Version: all
 Build-Depends: apt-utils,
                debhelper (>= 7.3.5),
-               libapt-pkg-dev (>= 0.7.22~),
+               libapt-pkg-dev (>= 0.7.26~exp11),
+               python-all-dev,
                python-all-dbg,
-               python-all-dev,
                python-central (>= 0.5),
                python-distutils-extra (>= 2.0),
-               python-sphinx (>= 0.5)
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/python-apt/lucid
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-core-dev/python-apt/lucid/files
+               python-sphinx (>= 0.5),
+               python-debian
+Vcs-Bzr: http://bzr.debian.org/apt/python-apt/debian-sid
+Vcs-Browser: http://bzr.debian.org/loggerhead/apt/python-apt/debian-sid/changes
 
 Package: python-apt
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-release (>= 4.0-1jolicloud1)
-Recommends: iso-codes
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Recommends: lsb-release, iso-codes, python2.6
 Breaks: debdelta (<< 0.28~), packagekit-backend-apt (<= 0.4.8-0ubuntu4)
 Provides: ${python:Provides}
 Suggests: python-apt-dbg, python-gtk2, python-vte, python-apt-doc
