## python-apt 0.7.96.1ubuntu11.2+4.5trisquel6

=== debian/changelog ===
python-apt (0.7.96.1ubuntu11.2+4.5trisquel6) slaine; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 09 Jun 2011 17:25:05 +0000
